org.jboss.resteasy.skeleton.key.as7

## Class OAuthAuthenticationServerValve.AccessCode

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.as7.OAuthAuthenticationServerValve.AccessCode

- Enclosing class:
    OAuthAuthenticationServerValve

      public static class OAuthAuthenticationServerValve.AccessCode
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `client`
    `protected long` | `expiration`
    `protected String` | `id`
    `protected String` | `redirect`
    `protected boolean` | `sso`
    `protected SkeletonKeyToken` | `token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthAuthenticationServerValve.AccessCode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClient()`
    `long` | `getExpiration()`
    `String` | `getId()`
    `String` | `getRedirect()`
    `SkeletonKeyToken` | `getToken()`
    `boolean` | `isExpired()`
    `boolean` | `isSso()`
    `void` | `setClient(String client)`
    `void` | `setExpiration(long expiration)`
    `void` | `setRedirect(String redirect)`
    `void` | `setSso(boolean sso)`
    `void` | `setToken(SkeletonKeyToken token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### expiration

          protected long expiration

    - #### token

          protected SkeletonKeyToken token

    - #### client

          protected String client

    - #### sso

          protected boolean sso

    - #### redirect

          protected String redirect

  - ### Constructor Detail

    - #### OAuthAuthenticationServerValve.AccessCode

          public OAuthAuthenticationServerValve.AccessCode()

  - ### Method Detail

    - #### isExpired

          public boolean isExpired()

    - #### getId

          public String getId()

    - #### getExpiration

          public long getExpiration()

    - #### setExpiration

          public void setExpiration(long expiration)

    - #### getToken

          public SkeletonKeyToken getToken()

    - #### setToken

          public void setToken(SkeletonKeyToken token)

    - #### getClient

          public String getClient()

    - #### setClient

          public void setClient(String client)

    - #### isSso

          public boolean isSso()

    - #### setSso

          public void setSso(boolean sso)

    - #### getRedirect

          public String getRedirect()

    - #### setRedirect

          public void setRedirect(String redirect)

Copyright © 2014. All Rights Reserved.